## samba 3.5.4~dfsg

=== debian/changelog ===
samba (2:3.5.4~dfsg-1ubuntu8) maverick; urgency=low

  * debian/samba.if-up: We dont use init scripts in samba anymore. 
    (LP: #654556)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Oct 2010 09:50:26 -0400

samba (2:3.5.4~dfsg-1ubuntu7) maverick; urgency=low

  * debian/control: Add cups breaks to push the package manager to also
    upgrade cups (LP: #639768). 

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 16 Sep 2010 12:19:11 -0400

samba (2:3.5.4~dfsg-1ubuntu6) maverick; urgency=low

  [ Philip Muskovac ]
  * Fix typo in apport hook (LP: #623798) 

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 15 Sep 2010 20:18:59 -0400

samba (2:3.5.4~dfsg-1ubuntu5) maverick; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in libcli/security/dom_sid.*, source3/lib/util_sid.c,
      source3/libads/ldap.c, source3/libsmb/cliquota.c,
      source3/smbd/nttrans.c.
    - CVE-2010-3069

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Sep 2010 09:20:45 -0400

samba (2:3.5.4~dfsg-1ubuntu4) maverick; urgency=low

  * Fix a typo in debian/smb.conf introduced in a previous merge that causes
    3-way-merge to fail gratuitously for anyone who has enabled the [homes]
    share.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Sep 2010 11:52:45 +0000

samba (2:3.5.4~dfsg-1ubuntu3) maverick; urgency=low

  * Add the translation of Unix Error code -ENOTSUP to NT Error Code
    NT_STATUS_NOT_SUPPORTED to prevent the Permission denied error.  
    (LP: #276472)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 16 Aug 2010 15:09:30 +0300

samba (2:3.5.4~dfsg-1ubuntu2) maverick; urgency=low

  * Resync with debian:
    + debian/control: Update standards version to 3.9.0. 
    + debian/samba-common.links: Add symlink from /etc/dhcp/dhclient-enter-hooks.d to
      /etc/dhcp3/dhclient-enter-hooks.d for the hook location of the new
      isc-dhcp-client package.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Jul 2010 13:26:21 -0400

samba (2:3.5.4~dfsg-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are 
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access. 
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/mksmbpasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    + debian/control:
      - Make libwbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + debian/rules:
      - enable "native" PIE hardening.
      - Add BIND_NOW to maximize benefit of RELRO hardening.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/control: have samba suggest ufw
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + Switch to upstart:
      - Add debian/samba.{nmbd,smbd}.upstart.
      - Don't ship the /etc/network/if-up.d file.
    + debian/samba.postinst: 
      - Fixed bashism.
      - Avoid scary pdbedit warnings on first import.
    + debian/samba-common.postinst: Add more informative error message for
      the case where smb.conf was manually deleted
    + debian/samba.logrotate: Make it upstart compatible
    + debian/samba-common.dhcp: Fix typo to get a proper parsing in
      /etc/samba/dhcp.
    + Drop the per-release smb.conf templates, only needed for upgrade paths
      that are no longer supported.
  * Drop undocumented, unused debian/docs.
  * Drop contentless debian/README.Debian.
  * Readd tdbtorture, which was dropped without explanation
  * Fix up BIND_NOW handling to not clobber other LDFLAGS from
    dpkg-buildflags, and to pass the value to configure as intended.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Jul 2010 20:05:30 +0000

samba (2:3.5.4~dfsg-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Jun 2010 22:00:53 +0200

samba (2:3.5.4~dfsg-0ubuntu1) maverick; urgency=low

  * New upstream release, major enhancements:
    + Fix smbd crash when sambaLMPassword and sambaNTPassword entries missing
      from ldap (bug #7448).
    + Fix init_sam_from_ldap storing group in sid2uid cache (bug #7507).
  * Refreshed patches.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 Jun 2010 09:33:36 -0400

samba (2:3.5.3~dfsg-1) experimental; urgency=low

  * New upstream release. Fixes the following bugs:
    - smbclient segfaults when used against old samba "security = share"
      Closes: #574886
  * Drop duplicate build dependency on ctdb

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 May 2010 22:07:49 +0200

samba (2:3.5.3~dfsg-0ubuntu4) maverick; urgency=low

  * debian/control: Add dependency of samba-common-bin to samba. (LP: #572410) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Jun 2010 08:44:13 -0400

samba (2:3.5.3~dfsg-0ubuntu3) maverick; urgency=low

  * debian/source_samba.py: if /etc/samba/smb.conf is missing, pop up
    a message for why this is not a bug, and end run. (LP: #591043)


