## samba 3.5.6~dfsg

=== debian/changelog ===
samba (2:3.5.6~dfsg-3squeeze6) stable-proposed-updates; urgency=low

  * Allow using unencrypted passwords with Windows clients that
    got KB2536276 installed. Closes: #652048

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Jan 2012 13:45:28 +0100

samba (2:3.5.6~dfsg-3squeeze5) stable-security; urgency=high

  * Security update, fixing the following issues:
    - CVE-2011-2694: possible XSS attack in SWAT
    - CVE-2011-2522: Cross-Site Request Forgery vulnerability in SWAT

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Jul 2011 08:25:27 +0200

samba (2:3.5.6~dfsg-3squeeze4) stable-proposed-updates; urgency=low

  * Document the newly introduced "map untrusted to domain" parameter
    and its default value that can lead to disruptive behavioral
    changes when upgrading from pre-3.5 versions.
    Closes: #623190
  * Fix "tdb2.so undefined symbol: dyn_get_STATEDIR" by fixing a typo
    in fhs-filespath.patch. Closes: #629183, LP: #789097

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Jun 2011 11:05:52 +0200

samba (2:3.5.6~dfsg-3squeeze3) stable-proposed-updates; urgency=low

  * Cherry-picked fixes from samba 3.5.8 for some important bugs:
    - Upstream bug 7567: printing from Windows 7 fails with 0x000003e6.
      Closes: #617429
    - Upstream bug 6727: printer device settings not saved for normal
      domain users. Closes: #611177	  
    - Upstream bug 7777: winbind leaks gids with idmap ldap backend
      Closes: #613624
    - Upstream bug 7880: rpcclient deldriver does not remove drivers
      from all architectures.

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Mar 2011 08:07:42 +0100

samba (2:3.5.6~dfsg-3squeeze2) stable-security; urgency=high

  * Security update, fixing the following issue:
    - CVE-2011-0719: denial of service by memory corruption

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Feb 2011 20:14:40 +0100

samba (2:3.5.6~dfsg-3squeeze1) stable-proposed-updates; urgency=low

  * Fix pam_winbind file descriptor leak with a patch
    proposed in https://bugzilla.samba.org/show_bug.cgi?id=7265.
    Upstream claim is that #7265 is fixed in 3.5.6 but our bug submitter
    confirmed it is not while the patch applied here fixes the file
    descriptor leak.
    Closes: #574468

  [ Debconf translations ]  
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #607402

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jan 2011 18:06:22 +0100

samba (2:3.5.6~dfsg-3) unstable; urgency=low

  [ Julien Cristau ]
  * Bump libwbclient0 shlibs to match the newest version in the symbols file.
  * Mark libwbclient0 as breaking other samba packages with versions older
    than 2:3.4.1, as they were linked against libtalloc1 instead of
    libtalloc2, and the combination causes crashes (closes: #593823).

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Dec 2010 20:14:04 +0100

samba (2:3.5.6~dfsg-2) unstable; urgency=low

  [ Steve Langasek ]
  * Fix debian/rules update-archs target to not add extra spaces on every
    invocation...

  [ Debconf translations ]  
  * Catalan (Jordi Mallach).  Closes: #601101
  * Japanese (Kenshi Muto).  Closes: #601364
  * Bulgarian (Damyan Ivanov).  Closes: #601366
  * Hebrew (Omer Zak).  Closes: #601633
  * Kurdish (Erdal Ronahî).  Closes: #601719
  * Dutch (Remco Rijnders).  Closes: #602220
  * Greek (Konstantinos Margaritis).

  [ Christian Perrier ]
  * Include upstream's patch for "gvfsd-smb (Gnome vfs) fails to copy
    files from a SMB share using SMB signing.". Backported from
    to be released 3.5.7 version
    Closes: #605729

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Dec 2010 07:44:22 +0100

samba (2:3.5.6~dfsg-1) unstable; urgency=low

  * New upstream release. Fixes the following Debian bug:
    - rpcclient readline segfault. Closes: #597203

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Oct 2010 09:59:37 +0200

samba (2:3.5.5~dfsg-1) unstable; urgency=high

  [ Christian Perrier ]
  * New upstream release. Security release fixing:
    - CVE-2019-3069: Buffer overrun vulnerability in sid_parse.
      Closes: #596891.
  * Fix comment in swat's postinst. It is not turned off by default
    Closes: #596040
  * Drop transition code from (pre-etch) 3.0.20b-3 version in swat postinst

  [ Steve Langasek ]
  * debian/control: winbind needs libpam-runtime (>= 1.0.1-6) for
    pam-auth-update.  Closes: #594325.

  [ Debconf translations ]  
  * Arabic (Ossama Khayat).  Closes: #596164

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Sep 2010 23:03:35 +0200

samba (2:3.5.4~dfsg-2) unstable; urgency=low

  * Release to unstable

  [ Debconf translations ]  
  * Danish (Joe Dalton).  Closes: #592789.
  * Galician (Jorge Barreiro).  Closes: #592809

  [ Steve Langasek ]
  * debian/patches/fhs-filespaths.patch, debian/samba.postinst,
    debian/winbind.postinst: move some files from /etc/samba to
    /var/lib/samba where they belong: MACHINE.SID, schannel_store.tdb,
    and idmap2.tdb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Sep 2010 17:47:32 +0200

samba (2:3.4.8~dfsg-2) unstable; urgency=low

  [ Steve Langasek ]
  * Drop the per-release smb.conf templates, only needed for upgrade paths
    that are no longer supported.
  * Call /etc/init.d/samba directly from the logrotate script instead of
    using invoke-rc.d, to address the irony that the only package I work on
    that *has* a logrotate script is inconsistent with my position in
    bug #445203.
  * Fix a bashism in the samba postinst that can cause the package
    installation to fail under dash.  LP: #576307.
  * Add symlink from /etc/dhcp/dhclient-enter-hooks.d to
    /etc/dhcp3/dhclient-enter-hooks.d for the hook location of the new
    isc-dhcp-client package.  Closes: #585056.

  [ Christian Perrier ]
  * Don't copy system accounts from /etc/passwd to
    /var/lib/samba/passdb.tdb. Closes: #502801
  * Update Standards to 3.9.0 (checked, no change)

