=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 else
   CFLAGS += -O2
 endif
-
-# Enable BIND_NOW to maximize benefit of RELRO hardening
-LDFLAGS += -Wl,-z,now
 
 DESTDIR=`pwd`/debian/tmp
 
@@ -67,6 +64,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   conf_args += \
+		--with-ctdb --with-cluster-support=yes \
 		--with-acl-support \
 		--with-quotas \
 		--without-cifsmount \
@@ -88,7 +86,7 @@
 		cp -f debian/config.cache source3/config.cache; \
 	fi
 
-	[ -f source3/Makefile ] || (cd source3 && LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure $(conf_args))
+	[ -f source3/Makefile ] || (cd source3 && CFLAGS="$(CFLAGS)" ./configure $(conf_args))
 
 	touch configure-stamp
 
@@ -126,8 +124,7 @@
 	dh_installdirs
 
 	mkdir -p $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
-	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d \
-	         $(DESTDIR)/etc/ufw/applications.d
+	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
 
 	$(MAKE) -C source3 install DESTDIR=$(DESTDIR)
 
@@ -175,10 +172,6 @@
 	#	Erich Schubert <debian@vitavonni.de> in #109509):
 	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb
 
-
-	# ufw integration
-	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
-
 	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
 	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
 	# Install samba-common's conffiles - they'll get moved later to their
@@ -187,7 +180,6 @@
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
 	mkdir -p $(DESTDIR)/etc/network/if-up.d
 	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba
-	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 
 	dh_movefiles
 	dh_installpam --name=samba
@@ -224,8 +216,7 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installlogcheck
-	DH_OPTIONS= dh_installinit -psamba --upstart-only --name smbd
-	DH_OPTIONS= dh_installinit -psamba --upstart-only --name nmbd
+	DH_OPTIONS= dh_installinit -psamba -- "defaults 20 19"
 	DH_OPTIONS= dh_installinit -pwinbind
 	dh_installcron 
 	dh_lintian
@@ -238,3 +229,12 @@
 	dh_fixperms
 
 	# Upstream makefile installs this using "install" without -m, so
+	# it becomes executable
+	chmod a-x debian/libsmbclient-dev/usr/include/libsmbclient.h
+
+	# Set some reasonable default perms for the samba logdir.
+	chmod 0750 debian/samba-common/var/log/samba/
+	chown root:adm debian/samba-common/var/log/samba/
+	chmod 1777 debian/samba/var/spool/samba/
+
+	DH_OPTIONS= dh_makeshlibs -plibsmbclient -V'libsmbclient (>= 2:3.2.0)'
